Get a job
curl --request GET \
--url https://www.sorce.jobs/api/external/v1/jobs/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://www.sorce.jobs/api/external/v1/jobs/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://www.sorce.jobs/api/external/v1/jobs/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"title": "<string>",
"status": "DRAFT",
"description": "<string>",
"remoteOption": "REMOTE",
"remoteCountry": "<string>",
"jobType": "FULL_TIME",
"jobLevel": "ENTRY",
"salaryMin": 123,
"salaryMax": 123,
"salaryPeriod": "ANNUAL",
"bidPerQualifiedApplicantCents": 123,
"opportunityId": "<string>",
"atsJobUrl": "<string>",
"companyId": "<string>",
"locations": [
{
"locationId": 17024,
"displayName": "San Francisco, California, United States",
"city": "San Francisco",
"stateProvince": "California",
"country": "United States"
}
],
"qualifications": [
{
"text": "5+ years of product design experience",
"kind": "REQUIRED",
"order": 0,
"id": "<string>"
}
],
"questions": [
{
"prompt": "Why do you want to work here?",
"answerFormat": "TEXT",
"order": 123,
"options": [
"<string>"
],
"id": "<string>"
}
],
"budgets": [
{
"window": "DAILY",
"budgetCents": 50000,
"notes": "<string>"
}
],
"applicationCounts": {
"pending": 123,
"accepted": 123,
"rejected": 123
},
"isFrozen": true,
"newApplicantCount": 123,
"publishedAt": "2023-11-07T05:31:56Z",
"expiresAt": "2023-11-07T05:31:56Z",
"closedAt": "2023-11-07T05:31:56Z"
}{
"error": {
"code": "INVALID_SERVICE_KEY",
"message": "Invalid service key."
}
}{
"error": {
"code": "NOT_FOUND",
"message": "Job not found."
}
}Jobs
Get a job
GET
/
jobs
/
{id}
Get a job
Authorizations
Partner key (sk_ext_…) bound to your company.
Path Parameters
The job's stable cross-service id (svcAtsId).
Response
The job.
The full job, as the dashboard sees it.
Stable cross-service job id (svcAtsId).
Available options:
DRAFT, ACTIVE, PAUSED, CLOSED, EXPIRED Available options:
REMOTE, HYBRID, IN_PERSON, null Available options:
FULL_TIME, PART_TIME, CONTRACT, INTERNSHIP, null Available options:
ENTRY, MID, SENIOR, null Available options:
ANNUAL, HOURLY, null Partner id for this opening on the source ATS.
Canonical job URL on the source ATS.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
True once the job has applications. Qualifications/questions locked.